describe Orator::OpenStruct do
  it "should provide a duplicate of the table" do
    subject.table.should_not be subject.instance_variable_get(:@table)
  end

  it "should provide the value assigned" do
    subject.some_value = 42
    subject[:some_value].should be 42

    subject[:other_value] = 120
    subject.other_value.should be 120
  end

  it "should be able to provide a method" do
    subject.some_value = 42
    subject.method(:some_value).should be_kind_of Method
  end
end
